Kerbal Space Program - Bug #739

Game crash - Out of Memory
05/30/2013 10:30 AM - Stoned49th

Status: Closed Start date: 05/30/2013
Severity: Normal % Done: 100%
Assignee:

Category: Bug Tracker

Target version:

Version: 0.20.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

See attached error log files - game crashes due to an out of memory error while loading the game.

System:

Intel i7-950

12.3GB RAM

ATI 6970 2GB (recent drivers installed)
Win 7 x64 Prof.

History

#1 - 05/30/2013 10:31 AM - Stoned49th
Addition: might be related to #729

#2 - 05/31/2013 03:28 AM - Anonymous

Please verify this is still an issue in 20.2.

#3 - 05/31/2013 05:05 AM - Anonymous
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

This is most likely due to loading too many mods. As someone said 0.20.2 already has a fix for a bug we had that caused certain mods to use
excessive amounts of memory. If it's not fixed yet you need to cut down on the amount of mods you're using.

#4 - 05/31/2013 12:48 PM - Stoned49th

- Status changed from Not a Bug to Closed

Issue resolved with 0.20.2 update.

| did not use too many plugins - | even removed some going from 0.20.0 to 0.20.1 because the log showed an out of memory error. Might be a good
idea for the project to switch to a x64 compatible compiler and architecture in the future to take advantage of the huge system memory on most

systems....if unity permits it.

So far, the issue is resolved and the game is playable again :)

Files
error.log 46.7 KB 05/30/2013 Stoned49th
output_log.txt 229 KB 05/30/2013 Stoned49th
